package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * @className: com.abi.qms.platform.dao.enums-> ValidatorEnums
 * @description:
 * @author: Marko.W
 * @createDate: 2021-06-21 18:12
 * @version: 1.0
 * @todo:
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ValidatorEnum {

    EMAIL("email", "邮箱"),
    PHONE("phone", "手机号"),
    ;
    @EnumValue
    private String validatorCode;
    private String validatorName;

}
